## click-systemd 0.1.1

=== debian/changelog ===
click-systemd (0.1.1) utopic; urgency=low

  * fix debian/copyright (LP: #1375930)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 30 Sep 2014 20:49:22 +0200

click-systemd (0.1) utopic; urgency=low

  * Initial release

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 25 Sep 2014 08:03:05 +0200

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
DH_VERBOSE = 1

# see EXAMPLES in dpkg-buildflags(1) and read /usr/share/dpkg/*
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

# see FEATURE AREAS in dpkg-buildflags(1)
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed


# main packaging script based on dh7 syntax
%:
	dh $@ --with click

# debmake generated override targets
# This is example for Cmake (See http://bugs.debian.org/641051 )
#override_dh_auto_configure:
#	dh_auto_configure -- \
#	-DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH)

## click-systemd 0.2

=== Makefile ===
#!/usr/bin/make

PREFIX=$(DESTDIR)/usr

build:
	# no need to build

install:
	install -d $(PREFIX)/lib/click-systemd
	install -m755 -o root -g root \
		systemd-clickhook $(PREFIX)/lib/click-systemd

test:
	python3 -m unittest discover
	pep8 .
	pyflakes .

.PHONY: install build test

=== debian/changelog ===
click-systemd (0.2) vivid; urgency=medium

  * fix path to  /var/lib/systemd/click

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 28 Oct 2014 20:47:46 +0100

click-systemd (0.2~ppa1) utopic; urgency=low

  * ensure /var/lib/systemd/click is available

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 13 Oct 2014 14:24:20 +0200

=== debian/control ===
Source: click-systemd
Section: admin
Priority: optional
Maintainer: Michael Vogt <mvo@ubuntu.com>
Build-Depends: debhelper (>= 9), python3, pep8, pyflakes, click-dev
Standards-Version: 3.9.5
Homepage: https://launchpad.net/click-systemd

Package: click-systemd
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, python3, systemd
Description: Click hook for systemd unit
 Provides a click hook to register systemd unit files in click
 packages.
